Subject: Re: xterm does not run
From: Bob McGowan <[email-masked]>
To: "Lamb, Ronald F." <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Feb 2000 14:43:38 -0800

I am wondering why you have the first three mount points (the contrib,
bin and usr)?  All you need, so long as these are all together under the
Cygwin install location (which is normally the case), is the single
mount for / which will then lead to the other directories since they are
present under it.  You also have d: mounted as / which will conflict
with with the mount of d:/cygwin so you should remove it.  I'd suggest
running umount with the --remove-user-mounts option and then mount for
the d:/users directory using the -s option so it is stored for system
wide use.

Don't know if these might be causing your problem, but it is certainly
confusing to me when I try to think through what is happening.

Bob

"Lamb, Ronald F." wrote:
> 
> /bin/bash does exist in d:\cygwin\bin and I am running
> bash-2.03 as my shell
> 
> /bin is mounted to d:\cygwin\bin
> 
> Here is what cygcheck xterm.exe reports
> 
> bash-2.03$ cygcheck xterm.exe
> Found: .\xterm.exe
> .\xterm.exe
>   .\libICE.dll
>     d:\cygwin\bin\cygwin1.dll
>       C:\WINNT\System32\advapi32.dll
>         C:\WINNT\System32\ntdll.dll
>         C:\WINNT\System32\KERNEL32.dll
>         C:\WINNT\System32\USER32.dll
>           C:\WINNT\System32\GDI32.dll
>         C:\WINNT\System32\RPCRT4.dll
>   .\libSM.dll
>   .\libX11.dll
>   .\libXext.dll
>   .\libXpm.dll
> 
> Here is also what mount is showing
> 
> Device              Directory           Type         Flags
> d:\cygwin\contrib   /contrib            user         binmode
> d:\cygwin\bin       /bin                user         binmode
> d:\cygwin\usr       /usr                user         binmode
> D:\Cygwin           /                   system       binmode
> d:\users            /users              user         binmode
> d:                  /                   user         binmode
> 
> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Wednesday, February 09, 2000 3:04 PM
> To: [email-masked]; Lamb, Ronald F.
> Cc: [email-masked]'
> Subject: Re: xterm does not run
> 
> --- Chris Faylor <[email-masked]> wrote:
> > On Wed, Feb 09, 2000 at 01:42:41PM -0500, Lamb, Ronald F. wrote:
> > >I have been having trouble getting the X windows client
> xterm to work with
> > >cygwin
> > >
> > >I am getting the following message
> > >!term: could not exec /bin/bash
> > >
> > >What am I missing in my setup?
> >
> > /bin/bash
> >
> 
> Maybe.  Is the xterm binary a Cygwin binary?  I.E. Does
> cygcheck xterm.exe have
> cygwin1.dll in the list?  If not then: Non-Cygwin programs do
> not understand
> Cygwin paths.
> 
> =====
> Earnie Boyd <mailto:[email-masked]>
> Cygwin Newbies, please visit
> <http://www.freeyellow.com/members5/gw32/index.html>
> __________________________________________________
> Do You Yahoo!?
> Talk to your friends online with Yahoo! Messenger.
> http://im.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]